# DaylightDetector (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.block, interface: DaylightDetector

Package org.bukkit.block

# Interface DaylightDetector

All Superinterfaces:
  `BlockState`, `Metadatable`, `PersistentDataHolder`, `TileState`

public interface DaylightDetector extends TileState
Represents a captured state of a (possibly inverted) daylight detector.

## Method Summary

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`